SitePoint Sponsor

User Tag List

Results 1 to 2 of 2
  1. #1
    SitePoint Evangelist
    Join Date
    Feb 2005
    Posts
    581
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Typo Gem Problem: Migrate Error when running "typo install"

    Can anybody help me sort this? I am on the verge of ripping my afro out and/or giving up. Thanks!

    Reposted from RailsForum:

    I have Rails running on WinXP x64 with all of the latest gems including Typo (full list below). When I try to run the "typo install PATH" command from the command prompt, I get the following error:
    Code:
     Checking database
     Creating initial database
     expanding apache13.conf.example template
     expanding apache20.conf.example template
     expanding lighttpd.conf.example template
     Migrating Typo's database to newest release
    c:/ruby/lib/ruby/gems/1.8/gems/typo-5.0.1/bin/typo:59:in `migrate': Migration fa
    iled (RailsInstaller::InstallFailed)
            from c:/ruby/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-
    installer.rb:689:in `in_directory'
            from c:/ruby/lib/ruby/gems/1.8/gems/typo-5.0.1/bin/typo:57:in `migrate'
            from c:/ruby/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-
    installer.rb:217:in `install_sequence'
            from c:/ruby/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-
    installer.rb:192:in `install'
            from c:/ruby/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-
    installer/commands.rb:95:in `command'
            from c:/ruby/lib/ruby/gems/1.8/gems/rails-app-installer-0.2.0/lib/rails-
    installer.rb:646:in `execute_command'
            from c:/ruby/lib/ruby/gems/1.8/gems/typo-5.0.1/bin/typo:93
            from c:/ruby/bin/typo:16:in `load'
            from c:/ruby/bin/typo:16
    I have been pulling my hair out for hours trying to solve this to no avail. Google turned up nothing relevant on this issue so maybe you guys can tell me what I am doing wrong.

    Installed Gems:
    Code:
    C:\www\rails>gem list
    
    *** LOCAL GEMS ***
    
    actionmailer (2.0.2)
        Service layer for easy email delivery and testing.
    
    actionpack (2.0.2)
        Web-flow and rendering framework putting the VC in MVC.
    
    activerecord (2.0.2)
        Implements the ActiveRecord pattern for ORM.
    
    activeresource (2.0.2)
        Think Active Record for web resources.
    
    activesupport (2.0.2)
        Support and utility classes used by the Rails framework.
    
    cgi_multipart_eof_fix (2.5.0)
        Fix an exploitable bug in CGI multipart parsing.
    
    flexmock (0.8.0)
        Simple and Flexible Mock Objects for Testing
    
    fxri (0.3.6)
        Graphical interface to the RI documentation, with search engine.
    
    fxruby (1.6.13, 1.6.12)
        FXRuby is the Ruby binding to the FOX GUI toolkit.
    
    gem_plugin (0.2.3)
        A plugin system based on rubygems that uses dependencies only
    
    hpricot (0.6)
        a swift, liberal HTML parser with a fantastic library
    
    log4r (1.0.5)
        Log4r is a comprehensive and flexible logging library for Ruby.
    
    mongrel (1.1.3)
        A small fast HTTP library and server that runs Rails, Camping, Nitro
        and Iowa apps.
    
    mongrel_cluster (1.0.5)
        Mongrel plugin that provides commands and Capistrano tasks for
        managing multiple Mongrel processes.
    
    mongrel_service (0.3.4)
        Mongrel Native Win32 Service Plugin for Rails
    
    rails (2.0.2)
        Web-application framework with template engine, control-flow layer,
        and ORM.
    
    rails-app-installer (0.2.0)
        An installer for Rails apps
    
    rake (0.8.1, 0.7.3)
        Ruby based make-like utility.
    
    rcov (0.8.1.2.0)
        Code coverage analysis tool for Ruby
    
    RedCloth (3.0.4)
        RedCloth is a module for using Textile and Markdown in Ruby. Textile
        and Markdown are text formats.  A very simple text format. Another
        stab at making readable text that can be converted to HTML.
    
    rmagick (2.0.0)
        RMagick is an interface between the Ruby programming language and
        the ImageMagick and GraphicsMagick image processing libraries.
    
    rspec (1.1.1)
        RSpec-1.1.1 (build 20071217181808) - BDD for Ruby
        http://rspec.rubyforge.org/
    
    sources (0.0.1)
        This package provides download sources for remote gem installation
    
    sqlite3-ruby (1.2.1)
        SQLite3/Ruby is a module to allow Ruby scripts to interface with a
        SQLite database.
    
    typo (5.0.1)
        Modern weblog engine.
    
    win32-api (1.0.5, 1.0.4)
        A superior replacement for Win32API
    
    win32-clipboard (0.4.3)
        A package for interacting with the Windows clipboard
    
    win32-dir (0.3.2)
        Extra constants and methods for the Dir class on Windows.
    
    win32-eventlog (0.4.7, 0.4.6)
        Interface for the MS Windows Event Log.
    
    win32-file (0.5.4)
        Extra or redefined methods for the File class on Windows.
    
    win32-file-stat (1.2.7)
        A File::Stat class tailored to MS Windows
    
    win32-process (0.5.5, 0.5.3)
        Adds create, fork, wait, wait2, waitpid, and a special kill method
    
    win32-sapi (0.1.4)
        An interface to the MS SAPI (Sound API) library.
    
    win32-service (0.6.1, 0.5.2)
        An library for controlling and creating MS Windows services
    
    win32-sound (0.4.1)
        A library for playing with sound on MS Windows.
    
    windows-api (0.2.0)
        An easier way to create methods using Win32API
    
    windows-pr (0.7.4, 0.7.2)
        Windows functions and constants bundled via Win32::API
    
    xmpp4r (0.3.2)
        Ruby library for Jabber Instant-Messaging
    I will not flame the newbies,
    I will not flame the newbies,
    I will flame the newbies...
    Table free is the way to be!

  2. #2
    SitePoint Addict ruby-lang's Avatar
    Join Date
    Aug 2007
    Posts
    389
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    What database do you intend to use? Have you changed you configuration files to use it?


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •